Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Rating Struct Reference

Numerical usage ratings. More...

## Public Attributes
int | current
| Maximum current in Amperes rounded down to the nearest integer.
float | decimalCurrent
| Maximum current in Amperes with potential decimal places.
int | minVoltage
| Minimum voltage in Volts.
int | maxVoltage
| Maximum voltage in Volts.

## Detailed Description

Numerical usage ratings.

Definition at line 15 of file Nameplate.idl.

## Member Data Documentation

## ◆ current

int pdumodel::Rating::current

Maximum current in Amperes rounded down to the nearest integer.

Definition at line 16 of file Nameplate.idl.

## ◆ decimalCurrent

float pdumodel::Rating::decimalCurrent

Maximum current in Amperes with potential decimal places.

Definition at line 17 of file Nameplate.idl.

## ◆ maxVoltage

int pdumodel::Rating::maxVoltage

Maximum voltage in Volts.

Definition at line 19 of file Nameplate.idl.

## ◆ minVoltage

int pdumodel::Rating::minVoltage

Minimum voltage in Volts.

Definition at line 18 of file Nameplate.idl.

The documentation for this struct was generated from the following file:

- Nameplate.idl